找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 134|回复: 7

[求助] 为什么我pip安装wheel的时候会提示python.exe停止运行?

9

主题

39

帖子

39

积分

贫民

积分
39
午夜垃圾桶 发表于 2017-11-29 11:23:00 | 显示全部楼层 |阅读模式
为什么我pip安装wheel的时候会提示python.exe停止运行?还有python用urllib访问https网站的时候也会停止运行,具体情况如图:
求助求助


搜狗截图20171129112217.jpg
回复

使用道具 举报

0

主题

64

帖子

64

积分

新手

积分
64
sheeboard 发表于 2017-11-29 11:45:29 | 显示全部楼层
多数是连接超时,网络环境差,如果是数据分析用numpy,pandas之类的,去用anaconda集成包不错。要么换国内源,要么去pypi手动下载安装包,再根据依存关系一个一个手动装。
回复 支持 反对

使用道具 举报

9

主题

39

帖子

39

积分

贫民

积分
39
午夜垃圾桶  楼主| 发表于 2017-11-29 12:04:04 | 显示全部楼层
sheeboard 发表于 2017-11-29 11:45
多数是连接超时,网络环境差,如果是数据分析用numpy,pandas之类的,去用anaconda集成包不错。要么换国内源 ...

用国内的pip源也是一样的情况啊,由于不是很经常用这个库,所以不想安装anaconda啊
回复 支持 反对

使用道具 举报

0

主题

64

帖子

64

积分

新手

积分
64
sheeboard 发表于 2017-11-29 12:10:50 | 显示全部楼层
命令窗口提示贴一下,我记得windows下装numpy要装python编译器的。
回复 支持 反对

使用道具 举报

9

主题

39

帖子

39

积分

贫民

积分
39
午夜垃圾桶  楼主| 发表于 2017-11-29 12:16:55 | 显示全部楼层
sheeboard 发表于 2017-11-29 12:10
命令窗口提示贴一下,我记得windows下装numpy要装python编译器的。

C:\Users\Administrator>pip install C:\Users\Administrator\Desktop\numpy-1.13.3+m
kl-cp27-cp27m-win_amd64.whl
Requirement already satisfied (use --upgrade to upgrade): numpy==1.13.3+mkl from
file:///C:/Users/Administrator/Desktop/numpy-1.13.3%2Bmkl-cp27-cp27m-win_amd64.
whl in d:\python\lib\site-packages
就到这里就出现了python.exe停止运行了
回复 支持 反对

使用道具 举报

0

主题

64

帖子

64

积分

新手

积分
64
sheeboard 发表于 2017-11-29 13:35:21 | 显示全部楼层
试了一下windows7 32位,python2.7.14,装numpy-1.13.3-2-cp27-none-win32.whl没问题。带mkl的这个包哪里下的?pypi上没有的。
回复 支持 反对

使用道具 举报

9

主题

39

帖子

39

积分

贫民

积分
39
午夜垃圾桶  楼主| 发表于 2017-11-30 10:38:04 | 显示全部楼层
sheeboard 发表于 2017-11-29 13:35
试了一下windows7 32位,python2.7.14,装numpy-1.13.3-2-cp27-none-win32.whl没问题。带mkl的这个包哪里下 ...

这个是百度上别人给的网站上下的,我在pypi上面下的也是不行的,都是程序停止运行,错误模块是_ssl.pyd
回复 支持 反对

使用道具 举报

9

主题

39

帖子

39

积分

贫民

积分
39
午夜垃圾桶  楼主| 发表于 2017-11-30 11:16:54 | 显示全部楼层
原来已经装上了,不知道什么时候装上的额,可是很奇怪啊,我装的时候都是python.exe停止工作的啊,为什么装成功了。。。
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表